examples.jmarkov

## Class Kanban

- java.lang.Object
- - jmarkov.MarkovProcess<S,E>
  - - jmarkov.SimpleMarkovProcess<examples.jmarkov.KanbanState,examples.jmarkov.KanbanEvent>
    - - examples.jmarkov.Kanban

- All Implemented Interfaces:
    JMarkovElement

      public class Kanban
      extends SimpleMarkovProcess<examples.jmarkov.KanbanState,examples.jmarkov.KanbanEvent>

  This class implements a Kanban system with one card. Extends SimpleMarkovProcess.
  Version:
    1.0a
  Author:
    Margarita Arana, Gloria Diaz, Germán Riaño.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jmarkov.MarkovProcess

      `MarkovProcess.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Kanban()` Default Constructor for GUI
    `Kanban(int m, int[] kanban, double[] mu, int[] s)` Kanban constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `active(examples.jmarkov.KanbanState i, examples.jmarkov.KanbanEvent e)` Determine the active events
    `java.lang.String` | `description()` Describes the system
    `States<examples.jmarkov.KanbanState>` | `dests(examples.jmarkov.KanbanState i, examples.jmarkov.KanbanEvent ev)` Determines the destination set of States when events e occurs.
    `static void` | `main(java.lang.String[] a)` Main method
    `double` | `rate(examples.jmarkov.KanbanState i, examples.jmarkov.KanbanState j, examples.jmarkov.KanbanEvent e)` Get the service rate of each station

    - ### Methods inherited from class jmarkov.SimpleMarkovProcess

      `activeTransitions`

    - ### Methods inherited from class jmarkov.MarkovProcess

      `addMOP, allToString, canGo, clearMOPs, debug, debug, debug, denseMatrixToString, denseMatrixToString, eventRatesToString, eventsRatesToString, generate, getDebugLevel, getDebugReporter, getEventClass, getEventNames, getEventRate, getEvents, getEventsRates, getFinalRate, getGenerator, getMaxStates, getMOPIndex, getMOPNames, getMOPNames, getMOPsAvg, getMOPsAvg, getMOPsAvg, getMOPsMoment, getMOPsMoment, getMOPsMoment, getMtjGenerator, getMtjRates, getNumStates, getProgress, getRate, getRates, getRates, getStateClass, getStates, getStates, getStatus, getStatusMsg, getSteadyState, getSteadyStateSolver, getTransientSolver, go, goStep, hideGUI, isGenerated, killGUI, label, loadGUI, MOPsToString, MOPsToString, numMOPs, pause, printAll, printAll, printDenseMatrix, printDenseMatrix, printEventsRates, printEventsRates, printMOPs, printMOPs, printMOPs, printStates, printStates, reset, resetResults, setDebugLevel, setDebugReporter, setMaxStates, setMOPs, setSteadyStateSolver, setTransientSolver, showGUI, statesLableMaxWidth, statesToString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### Kanban

          public Kanban(int m,
                int[] kanban,
                double[] mu,
                int[] s)

      Kanban constructor.
      Parameters:
        `m` - Number of stations
        `mu` - Service rates at the stations
        `kanban` - Number of cards in the stations
        `s` - Status of the stations

    - #### Kanban

          public Kanban()

      Default Constructor for GUI

  - ### Method Detail

    - #### description

          public java.lang.String description()

      Describes the system
      Specified by:
        `description` in interface `JMarkovElement`
      Specified by:
        `description` in class `MarkovProcess<examples.jmarkov.KanbanState,examples.jmarkov.KanbanEvent>`
      Returns:
        A description of the Model
      See Also:
        `MarkovProcess.description()`

    - #### active

          public boolean active(examples.jmarkov.KanbanState i,
                       examples.jmarkov.KanbanEvent e)

      Determine the active events
      Specified by:
        `active` in class `SimpleMarkovProcess<examples.jmarkov.KanbanState,examples.jmarkov.KanbanEvent>`
      Parameters:
        `i` - The current State
        `e` - The current Event.
      Returns:
        True if the Event is Active.

    - #### dests

          public States<examples.jmarkov.KanbanState> dests(examples.jmarkov.KanbanState i,
                                                   examples.jmarkov.KanbanEvent ev)

      Description copied from class: `SimpleMarkovProcess`
      Determines the destination set of States when events e occurs. It has to be implemented by the subclass.
      Specified by:
        `dests` in class `SimpleMarkovProcess<examples.jmarkov.KanbanState,examples.jmarkov.KanbanEvent>`
      Parameters:
        `i` - current State.
        `ev` - The Event that ocurred.
      Returns:
        The destination States

    - #### rate

          public double rate(examples.jmarkov.KanbanState i,
                    examples.jmarkov.KanbanState j,
                    examples.jmarkov.KanbanEvent e)

      Get the service rate of each station
      Specified by:
        `rate` in class `SimpleMarkovProcess<examples.jmarkov.KanbanState,examples.jmarkov.KanbanEvent>`
      Parameters:
        `i` - Current state
        `j` - Destination State
        `e` - The occuring event
      Returns:
        The rate at which the system goes from i to j when e occurs.
      See Also:
        `SimpleMarkovProcess.rate(State, State, Event)`

    - #### main

          public static void main(java.lang.String[] a)

      Main method
      Parameters:
        `a` - Not used